Bug 1304144 - netatalk afpd(8) crashes when authenticating
netatalk afpd(8) crashes when authenticating
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: netatalk (Show other bugs)
23
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-02 20:14 EST by John Meyer
Modified: 2016-12-20 13:24 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:24:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1246465 None None None 2016-02-02 20:14 EST

  None (edit)
Description John Meyer 2016-02-02 20:14:46 EST
Description of problem:

afpd(8) crashes when either of the lines:

admin auth user = root
admin group = sys

are placed in the Global section of /etc/netatalk/afp.conf

Version-Release number of selected component (if applicable):

Version: 3.1.3
Release: 4.fc23


How reproducible:

Add either (or both) of the "admin" lines above to /etc/netatalk/afp.conf


Steps to Reproduce:
1.  Comment out in /etc/pam.d/netatalk (see bug id 1246465):
    session    optional     pam_ck_connector.so
2.  Add either (or both) of the "admin" lines above to /etc/netatalk/afp.conf
3.  systemctl restart netatalk
4.  Use a Mac client to mount an AFP share and authenticate

Actual results:

afpd(8) crashes with the log entries below.

Expected results:

afpd(8) should authenticate the client and allow it to mount the folder.

Additional info:

Jan 31 19:50:18.652326 afpd[27347] {auth.c:249} (I:AFPDaemon): admin login -- john
Jan 31 19:50:18.652336 afpd[27347] {auth.c:295} (D5:AFPDaemon): login: supplementary groups:  3 7 10 107 135 498 501 966 982
Jan 31 19:50:18.652353 afpd[27347] {afp_dsi.c:619} (D5:AFPDaemon): ==> Finished AFP command: AFP_LOGINCONT -> AFP_OK
Jan 31 19:50:18.655533 afpd[27347] {afp_dsi.c:610} (D5:AFPDaemon): <== Start AFP command: AFP_GETUSERINFO
Jan 31 19:50:18.655559 afpd[27347] {auth.c:921} (D5:AFPDaemon): begin afp_getuserinfo:
Jan 31 19:50:18.655565 afpd[27347] {auth.c:981} (D5:AFPDaemon): END afp_getuserinfo:
Jan 31 19:50:18.655570 afpd[27347] {afp_dsi.c:619} (D5:AFPDaemon): ==> Finished AFP command: AFP_GETUSERINFO -> AFP_OK
Jan 31 19:50:18.658416 afpd[27347] {afp_dsi.c:610} (D5:AFPDaemon): <== Start AFP command: AFP_GETSRVPARAM
Jan 31 19:50:18.658446 afpd[27347] {netatalk_conf.c:1400} (D5:AFPDaemon): load_volumes: BEGIN
Jan 31 19:50:18.658452 afpd[27347] {netatalk_conf.c:1435} (D5:AFPDaemon): load_volumes: no volumes yet
Jan 31 19:50:18.658475 afpd[27347] {netatalk_conf.c:1460} (D5:AFPDaemon): load_volumes: loading: /etc/netatalk//afp.conf
Jan 31 19:50:18.658519 afpd[27347] {netatalk_conf.c:1052} (D5:AFPDaemon): readvolfile: BEGIN
Jan 31 19:50:18.658526 afpd[27347] {netatalk_conf.c:1055} (D5:AFPDaemon): readvolfile: sections: 3
Jan 31 19:50:18.658536 afpd[27347] {fault.c:123} (S:Default): ===============================================================
Jan 31 19:50:18.658542 afpd[27347] {fault.c:124} (S:Default): INTERNAL ERROR: Signal 11 in pid 27347 (3.1.3)
Jan 31 19:50:18.658547 afpd[27347] {fault.c:125} (S:Default): ===============================================================
Jan 31 19:50:18.658671 afpd[27347] {fault.c:96} (S:Default): PANIC: internal error
Jan 31 19:50:18.658680 afpd[27347] {fault.c:97} (S:Default): BACKTRACE: 10 stack frames:
Jan 31 19:50:18.658688 afpd[27347] {fault.c:103} (S:Default):  #0 /lib64/libatalk.so.15(netatalk_panic+0x32) [0x7f308b2c75e2]
Jan 31 19:50:18.658697 afpd[27347] {fault.c:103} (S:Default):  #1 /lib64/libatalk.so.15(+0x3c72c) [0x7f308b2c772c]
Jan 31 19:50:18.658706 afpd[27347] {fault.c:103} (S:Default):  #2 /lib64/libc.so.6(+0x34b20) [0x7f3087cc1b20]
Jan 31 19:50:18.658714 afpd[27347] {fault.c:103} (S:Default):  #3 /lib64/libatalk.so.15(+0x40548) [0x7f308b2cb548]
Jan 31 19:50:18.658723 afpd[27347] {fault.c:103} (S:Default):  #4 /lib64/libatalk.so.15(load_volumes+0x1cb) [0x7f308b2cbcab]
Jan 31 19:50:18.658737 afpd[27347] {fault.c:103} (S:Default):  #5 /usr/sbin/afpd(afp_getsrvrparms+0x41) [0x557db0baa091]
Jan 31 19:50:18.658746 afpd[27347] {fault.c:103} (S:Default):  #6 /usr/sbin/afpd(afp_over_dsi+0x417) [0x557db0b85b17]
Jan 31 19:50:18.658754 afpd[27347] {fault.c:103} (S:Default):  #7 /usr/sbin/afpd(main+0xaf8) [0x557db0b833d8]
Jan 31 19:50:18.658762 afpd[27347] {fault.c:103} (S:Default):  #8 /lib64/libc.so.6(__libc_start_main+0xf0) [0x7f3087cad580]
Jan 31 19:50:18.658770 afpd[27347] {fault.c:103} (S:Default):  #9 /usr/sbin/afpd(_start+0x29) [0x557db0b834f9]
Jan 31 19:50:18.824825 afpd[27124] {main.c:151} (I:AFPDaemon): child[27347]: killed by signal 6
Jan 31 19:50:18.824864 afpd[27124] {main.c:348} (D10:AFPDaemon): main: polling 1 fds
Comment 1 Fedora Admin XMLRPC Client 2016-02-26 12:53:28 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora End Of Life 2016-11-24 10:21:58 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2016-12-20 13:24:05 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.